OGRE (**Optimized Graph Rewriting Engine**) is a graph rewriting system which allows users to express graph patterns and make linguistically-motivated transformations to property graphs.

The engine uses a two-stage rewriting process to do complex rewriting steps with easy-to-write rules.

# Getting Started

Please refer to [Getting Started](docs/GettingStarted.md)

# Documentation

## Basic Usage

Please refer to [Basic Usage](docs/BasicUsage.md)

## File Formats

Please refer to [File Formats](docs/FileFormats.md)

## Graph Query Language

Please refer to [Graph Query Language](docs/GRQL.md)

# Latest Releases

- v1.0.7 : (November 22th 2019) Make OGRE compatible with recent versions of boost (1.67) and recent version of G++ (8.3.0) 
- v1.0.6 : September 15th 2018 (Update documentation) 
- v1.0.5 : January 25th 2017 (make OGRE compliant with C++11 and recent versions of Boost)
- v1.0.1 : First release - January 12th 2014

